/* Tags selectors */
html {
  font-family: sans-serif;
  line-height: 1.15;
  -webkit-text-size-adjust: 100%;
  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
}

body {
  margin: 0;
  font-size: 1rem;
  font-weight: 400;
  line-height: 1.5;
  color: #858796;
  text-align: left;
  background-color: #fff;
  font-family: 'Open Sans', sans-serif;
}

/* Tags selectors */
/* ID selectors */
#wrapper {
  display: flex;
}

#wrapper .content-wrapper {
  /* background-color: #f8f9fc; */
  background-color: #fff;
  width: 100%;
  overflow-x: hidden;
  padding: 10px;
}

#wrapper .content-wrapper .content {
  flex: 1 0 auto;
}

/* ID selectors */
.bg-gradient-primary {
  background-color: #2F80ED;
  background-size: cover;
}

/* Sidebar */
.sidebar .nav-item .nav-link {
  position: relative;
}

.sidebar {
  width: 6.5rem;
  min-height: 100vh;
}

.sidebar .nav-item {
  position: relative;
}

.sidebar .nav-item:last-child {
  margin-bottom: 1rem;
}

.sidebar .nav-item .nav-link {
  text-align: center;
  padding: 0.75rem 1rem;
  width: 6.5rem;
}

.sidebar .nav-item .nav-link span {
  font-size: 0.65rem;
  display: block;
}

.sidebar .nav-item.active .nav-link {
  font-weight: 700;
}

.sidebar .nav-item .collapse {
  position: absolute;
  left: calc(6.5rem + 1.5rem / 2);
  z-index: 1;
  top: 2px;
}

.sidebar .nav-item .collapse .collapse-inner {
  border-radius: 0.35rem;
  box-shadow: 0 0.15rem 1.75rem 0 rgba(58, 59, 69, 0.15);
}

.sidebar .nav-item .collapsing {
  display: none;
  transition: none;
}

.sidebar .nav-item .collapse .collapse-inner,
.sidebar .nav-item .collapsing .collapse-inner {
  padding: .5rem 0;
  min-width: 10rem;
  font-size: 0.85rem;
  margin: 0 0 1rem 0;
}

.sidebar .nav-item .collapse .collapse-inner .collapse-header,
.sidebar .nav-item .collapsing .collapse-inner .collapse-header {
  margin: 0;
  white-space: nowrap;
  padding: .5rem 1.5rem;
  text-transform: uppercase;
  font-weight: 800;
  font-size: 0.65rem;
  color: #b7b9cc;
}

.sidebar .nav-item .collapse .collapse-inner .collapse-item,
.sidebar .nav-item .collapsing .collapse-inner .collapse-item {
  padding: 0.5rem 1rem;
  margin: 0 0.5rem;
  display: block;
  color: #3a3b45;
  text-decoration: none;
  border-radius: 0.35rem;
  white-space: nowrap;
}

.sidebar .nav-item .collapse .collapse-inner .collapse-item:hover,
.sidebar .nav-item .collapsing .collapse-inner .collapse-item:hover {
  background-color: #eaecf4;
}

.sidebar .nav-item .collapse .collapse-inner .collapse-item:active,
.sidebar .nav-item .collapsing .collapse-inner .collapse-item:active {
  background-color: #dddfeb;
}

.sidebar .nav-item .collapse .collapse-inner .collapse-item.active,
.sidebar .nav-item .collapsing .collapse-inner .collapse-item.active {
  color: #4e73df;
  font-weight: 700;
}

.sidebar.toggled {
  width: 0 !important;
  overflow: hidden;
}

.sidebar .sidebar-brand {
  height: 4.375rem;
  text-decoration: none;
  font-size: 1rem;
  font-weight: 800;
  padding: 1.5rem 1rem;
  text-align: center;
  text-transform: uppercase;
  letter-spacing: 0.05rem;
  z-index: 1;
}

.sidebar .sidebar-brand .sidebar-brand-text {
  display: none;
}

.sidebar hr.sidebar-divider {
  margin: 0 1rem 1rem;
}

.sidebar .sidebar-heading {
  text-align: center;
  padding: 0 1rem;
  font-weight: 800;
  font-size: 0.65rem;
}

@media (min-width: 768px) {
  .sidebar.toggled {
    overflow: visible;
    width: 6.5rem !important;
  }
}

@media (min-width: 992px) {
  .sidebar {
    width: 14rem !important;
  }

  .sidebar .nav-item .collapse {
    position: relative;
    left: 0;
    z-index: 1;
    top: 0;
    -webkit-animation: none;
    animation: none;
  }

  .sidebar .nav-item .collapse .collapse-inner {
    border-radius: 0;
    box-shadow: none;
  }

  .sidebar .nav-item .collapsing {
    display: block;
    transition: height 0.15s ease;
  }

  .sidebar .nav-item .collapse,
  .sidebar .nav-item .collapsing {
    margin: 0 1rem;
  }

  .sidebar .nav-item .nav-link {
    display: block;
    width: 100%;
    text-align: right;
    padding: 1rem 2rem;
    width: 14rem;
  }

  .sidebar .nav-item .nav-link i {
    font-size: 0.85rem;
    margin-right: 0.25rem;
  }

  .sidebar .nav-item .nav-link span {
    font-size: 0.85rem;
    display: inline;
  }

  .sidebar .sidebar-brand .sidebar-brand-text {
    display: inline;
  }

  .sidebar .sidebar-heading {
    text-align: left;
  }

  .sidebar.toggled {
    overflow: visible;
    width: 6.5rem !important;
  }

  .sidebar.toggled .nav-item:last-child {
    margin-bottom: 1rem;
  }

  .sidebar.toggled .nav-item .nav-link {
    text-align: center;
    padding: 0.75rem 1rem;
    width: 6.5rem;
  }

  .sidebar.toggled .nav-item .nav-link span {
    font-size: 0.65rem;
    display: block;
  }

  .sidebar.toggled .nav-item .nav-link i {
    margin-right: 0;
  }

  .sidebar.toggled .sidebar-brand .sidebar-brand-icon i {
    font-size: 2rem;
  }

  .sidebar.toggled .sidebar-brand .sidebar-brand-text {
    display: none;
  }

  .sidebar.toggled .sidebar-heading {
    text-align: center;
  }
}

.sidebar-dark .nav-item .nav-link {
  color: rgba(255, 255, 255, 0.8);
}

.sidebar-dark .nav-item .nav-link i {
  color: rgba(255, 255, 255, 0.5);
}

.sidebar-dark .nav-item .nav-link:active, .sidebar-dark .nav-item .nav-link:focus, .sidebar-dark .nav-item .nav-link:hover {
  color: #fff;
}

.sidebar-dark .nav-item .nav-link:active i, .sidebar-dark .nav-item .nav-link:focus i, .sidebar-dark .nav-item .nav-link:hover i {
  color: #fff;
}

.sidebar-dark .nav-item.active .nav-link {
  color: #fff;
}

.sidebar-dark .nav-item.active .nav-link i {
  color: #fff;
}

/* Chart wrapper */
.chart {
  box-shadow: 0 3px 6px hsla(0, 0%, 0%, 0.2);
  background-color: #fff;
  border-radius: 18px;
  padding: 3rem;
}

/* Login Form */
.login-form {
  width: 30rem;
}

.login-form form {
  margin-top: 20%;
  margin-bottom: 15px;
  box-shadow: 0px 10px 16px rgba(79, 79, 79, 0.1);
  border-radius: 18px;
  padding: 4rem 4.2rem 6rem;
  background: #FFFFFF;
  border: 1px solid #F4F4F4;
}

.login-form h3 {
  font-size: 2rem;
  margin: 0 0 15px;
  color: #2F80ED;
  font-style: normal;
  font-weight: 600;
}

.form-control, .btn {
  min-height: 38px;
  border-radius: 2px;
}

.login-form input {
  opacity: 0.3;
  border: 1px solid #5999F1;
  border-radius: 4px;
}

.login-form .form-group label {
  color: #ACCCF8;
  font-family: 'Montserrat', sans-serif;
  font-style: normal;
  font-weight: 500;
  font-size: 11px;
}

.login-form .checkbox {
  font-size: 0.8rem;
}

.btn-form {
  padding: 0.66rem 2.5rem;
  font-weight: bold;
  text-transform: uppercase;
  font-size: 14px;
  font-family: 'Montserrat', sans-serif;
  font-weight: 500;
}

/* Login Form */
/* Custom button */
.btn-edash {
  color: #fff;
  background-color: #2F80ED;
  border-color: #2F80ED;
  border-radius: 31px;
}

.btn-edash:hover {
  background-color: #2373de;
  border-color: #2373de;
}

.btn-outline-edash:hover {
  color: #fff;
  background-color: #2F80ED;
  border-color: #2F80ED;
}

.btn-outline-edash {
  border-radius: 31px;
  color: #2F80ED;
  background-color: transparent;
  background-image: none;
  border-color: #2F80ED;
}

/* Custom button */
.header {
  margin: 1rem 0;
}

.form-section {
  background: rgba(47, 128, 237, 0.03);
}

.login-links {
  font-style: normal;
  font-weight: normal;
  font-size: 12px;
  line-height: 1.5;
}

.login-links a {
  color: #2F80ED;
}

.login-form hr {
  border: 1px solid #ACCCF8;
  margin-top: 0;
}

.forgot-password-form.login-form form {
  padding: 4rem 3.5rem 6rem;
}

.btn-edash.btn-edash--forgot-password {
  font-size: 1.5rem;
  font-style: normal;
  font-size: 14px;
  padding: 1rem 2rem;
}

@media (max-width: 768px) {
  .login-form form {
    padding: 4rem 1rem 5rem;
    margin-top: 10%;
  }

  .forgot-password-form.login-form form {
    padding: 4rem 1rem 5rem;
  }

  .login-form {
    width: 100%;
  }

  .login-form h3 {
    font-size: 1.5rem;
  }

  .chart {
    padding: 10px;
  }
}

input.is-invalid {
  background-color: rgb(255, 0, 0, 0.2);
  border-width: 2px;
}

.invalid-feedback {
  font-size: 12px;
}

/* Navbar bottom for mobile */
.footer {
  position: fixed;
  bottom: 0;
  width: 100%;
  height: 60px;
  background-color: #2F80ED;
  border-top: 1px solid transparent;
  box-shadow: 0 1px 5px rgba(0, 0, 0, 0.2);
}

.group-container {
  padding: 0;
  height: 100%;
}

.selectors, .block {
  height: 100%;
  width: 100%;
}

.selectors a:active {
  border: 0;
}

.selectors a:focus {
  border: 0;
  outline: 0;
  box-shadow: 0 0 0 0px;
}

.active-bottom, .selector-holder {
  display: flex;
  flex-direction: column;
}

.inactive {
  display: none;
}

.selector-holder span {
  font-size: 0.6rem;
}

.button-active, .selectors a:hover, .selectors a:active, .selectors a:focus {
  color: rgba(255, 255, 255, 0.8);
}

.button-inactive {
  color: rgba(255, 255, 255, 0.8);
}

.selectors a, .selectors button {
  border: 0;
  border-radius: 0;
  background-color: #2F80ED !important;
  width: 20%;
  margin-left: 0;
  -webkit-appearance: none;
}

.page-more__heading {
  text-align: center;
  margin-top: 1rem;
}

.page-more__heading h2 {
  font-family: 'Montserrat', sans-serif;
  font-weight: bold;
  font-size: 1.5rem;
  color: #4F4F4F;
}

#page-more hr {
  border-top: 1px solid #828282;
}

#page-more ul {
  list-style: none;
}

#page-more ul a {
  color: #828282;
}

#page-more ul li {
  letter-spacing: 0.005em;
  text-transform: capitalize;
  font-size: 1rem;
  margin-bottom: 1rem;
}

.page-more__links i {
  color: #5999F1;
  margin-right: 2rem;
}

.links__bottom-links {
  position: absolute;
  bottom: 100px;
}

.footer__button {
  font-size: 10px;
}

.footer__icon {
  font-size: 28px;
}

.sidebar__icon {
  font-size: 28px;
}

@media (min-width: 768px) {
  #page-more {
    display: none;
  }

  .content-wrapper {
    display: block;
  }
}

@media (max-width: 320px) {
  .selector-holder span {
    font-size: 0.5rem;
  }
}

.settings span i.fas {
  color: #fff;
}

@media (min-height: 768px) and (min-width: 992px) {
  .settings {
    position: absolute;
    bottom: 10px;
  }
}

.dashboard__date-picker .form-control {
  width: 100%;
}

@media (min-width: 992px) {
  .sidebar-dark .nav-item .nav-link i {
    color: rgba(255, 255, 255, 1);
  }

  .dashboard__date-picker .form-control {
    width: 25%;
  }
}

/* Datepicker styles */
.dashboard__date-picker {
  margin-bottom: 2rem;
}

.dashboard__date-picker .form-control[readonly] {
  background-color: #fff;
}

.dashboard__date-picker input {
  border: 0;
  font-weight: bold;
  font-size: 12px;
  color: #2F80ED;
  background-color: #fff;
}

.daterangepicker td.active, .daterangepicker td.active:hover {
    background-color: #2F80ED;
    border-color: transparent;
    color: #fff;
}

/* Sidebar active icon */

.sidebar__active-icon {
  width: 18px;
  height: 36px;
  margin-right: 0;
  margin-left: auto;
  position: absolute;
  right: 0;
  bottom: 10px;
}

@media (max-width: 992px) {
  .sidebar__active-icon {
    display: none;
  }
}
